org.eclipse.net4j.util.cache

## Interface ICacheProbe

- All Known Subinterfaces:
    ICacheRegistration
  All Known Implementing Classes:
    CacheRegistration

      public interface ICacheProbe

  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `elementCached(int elementSize)`
    `void` | `elementEvicted(int elementSize)`
    `void` | `elementReconstructed(long reconstructionTime)`
    `long` | `getAverageElementSize()`
    `long` | `getCacheSize()`
    `int` | `getElementCount()`
    `long` | `getReconstructionCost()`
    `boolean` | `isDisposed()`

- - ### Method Detail

    - #### isDisposed

          boolean isDisposed()

    - #### elementCached

          void elementCached(int elementSize)

    - #### elementEvicted

          void elementEvicted(int elementSize)

    - #### elementReconstructed

          void elementReconstructed(long reconstructionTime)

    - #### getElementCount

          int getElementCount()

    - #### getCacheSize

          long getCacheSize()

    - #### getAverageElementSize

          long getAverageElementSize()

    - #### getReconstructionCost

          long getReconstructionCost()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html